## org.eclipse.wst.wsdl.binding.soap
Interface SOAPBinding

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable, javax.wsdl.extensions.soap.SOAPBinding, WSDLElement

    public interface SOAPBinding

extends ExtensibilityElement, javax.wsdl.extensions.soap.SOAPBinding

A representation of the model object 'Binding'.

The following features are supported:

- `Transport URI`
- `Style`

See Also:
  `SOAPPackage.getSOAPBinding()`

Method Summary
`java.lang.String` `getStyle()` Returns the value of the 'Style' attribute
`java.lang.String` `getTransportURI()` Returns the value of the 'Transport URI' attribute
`void` `setStyle(java.lang.String value)` Sets the value of the '`Style`' attribute
`void` `setTransportURI(java.lang.String value)` Sets the value of the '`Transport URI`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getTransportURI

    java.lang.String getTransportURI()

  Returns the value of the 'Transport URI' attribute.

  If the meaning of the 'Transport URI' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getTransportURI` in interface `javax.wsdl.extensions.soap.SOAPBinding`
  Returns:
    the value of the 'Transport URI' attribute.
  See Also:
    `setTransportURI(String)`, `SOAPPackage.getSOAPBinding_TransportURI()`

### setTransportURI

    void setTransportURI(java.lang.String value)

  Sets the value of the '`Transport URI`' attribute.

  Specified by:
    `setTransportURI` in interface `javax.wsdl.extensions.soap.SOAPBinding`
  Parameters:
    `value` - the new value of the 'Transport URI' attribute.
  See Also:
    `getTransportURI()`

### getStyle

    java.lang.String getStyle()

  Returns the value of the 'Style' attribute.

  If the meaning of the 'Style' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getStyle` in interface `javax.wsdl.extensions.soap.SOAPBinding`
  Returns:
    the value of the 'Style' attribute.
  See Also:
    `setStyle(String)`, `SOAPPackage.getSOAPBinding_Style()`

### setStyle

    void setStyle(java.lang.String value)

  Sets the value of the '`Style`' attribute.

  Specified by:
    `setStyle` in interface `javax.wsdl.extensions.soap.SOAPBinding`
  Parameters:
    `value` - the new value of the 'Style' attribute.
  See Also:
    `getStyle()`